Get a device's NTRIP credentials​
GET
/devices/{id}/rtk/ntrip
Returns the configured NTRIP credentials for the device.
Authorizations​
ApiKeyAuth
API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.
Type
API Key (header: Authorization)
Example
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."Parameters​
Path Parameters
id*
Device ID
Type
Requiredinteger
GET
/devices/{id}/rtk/ntrip
Request example
Responses​
OK
application/json
JSON"credentials": [{"deviceId": 0,"hostname": "string","mountpoint": "string","password": "string","portNum": 0,"priority": 0,"username": "string"}],"deviceId": 0
{
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
}
Try this endpoint
Playground​
Authorization
Variables
Key
Value